Skip to main content
POST
/
datasets
/
{dataset_id}
/
pipeline
/
datasource
/
nodes
/
{node_id}
/
run
Run Datasource Node
curl --request POST \
  --url https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": {},
  "is_published": true,
  "credential_id": "<string>"
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run"

payload = {
    "inputs": {},
    "is_published": True,
    "credential_id": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({inputs: {}, is_published: true, credential_id: '<string>'})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"<string>"
{
  "status": 400,
  "code": "invalid_param",
  "message": "Pipeline not found"
}
{
  "status": 403,
  "code": "forbidden",
  "message": "Dataset api access is not enabled."
}
{
  "status": 404,
  "code": "not_found",
  "message": "Dataset not found."
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

node_id
string
required

ID of the datasource node to execute.

Body

application/json
inputs
object
required

Input variables for the datasource node.

datasource_type
enum<string>
required

Type of the datasource.

Available options:
online_document,
local_file,
website_crawl,
online_drive
is_published
boolean
required

Whether to run the published or draft version of the node. true runs the published version, false runs the draft.

credential_id
string | null

ID of the credential to use for authentication with the datasource.

Response

Streaming response with node execution events.

Server-Sent Events stream containing node execution progress and results.

Last modified on July 9, 2026